xfce4-mixer (4.11.0-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 23 Jun 2014 21:39:53 +0200

xfce4-mixer (4.10.0-3) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/control:
    - Bump standards-version to 3.9.5
    - build-depend on dh-autoreconf
  * Create debian/source/options
  * debian/rules: --with autoreconf

  [ Yves-Alexis Perez ]
  * debian/control:
    - add gstreamer0.10-alsa to recommends so it gets picked up by
      default, and keep it as alternative dependency.           closes: #651495
    - add build-dep on xfce4-dev-tools.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 09 Mar 2014 10:33:17 +0100

xfce4-mixer (4.10.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    - enable all hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 May 2013 22:44:31 +0200

xfce4-mixer (4.10.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - update build-deps for 4.10.
    - add build-dep on libunique-dev and libkeybinder-dev.
  * debian/rules:
    - delete .la files.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 13 Oct 2012 15:25:39 +0200

xfce4-mixer (4.8.0-4) experimental; urgency=low

  * Rebuild against xfce4-panel 4.10.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 17 Sep 2012 23:48:51 +0200

xfce4-mixer (4.8.0-3) unstable; urgency=low

  * Remove lintian overrides.                                   closes: #670045
  * debian/control:
    - update standards version to 3.9.3.
    - update debhelper build-dep to 9.
    - add build-dep on dpkg-dev 1.16.1.
    - drop cdbs build-dep.
  * debian/rules:
    - use debhelper 9 / dpkg-dev 1.16.1 hardening support.
    - use --parallel.
  * debian/compat bumped to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Apr 2012 17:44:42 +0200

xfce4-mixer (4.8.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - remove Emanuele and Simon from uploaders, add Lionel.
    - update standards version to 3.9.2. 

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 16:37:06 +0200

xfce4-mixer (4.8.0-1) experimental; urgency=low

  [ Stefan Ott ]
  * debian/watch edited to track Xfce archive reorganisation.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * Switch to 3.0 (quilt) format.
  * debian/rules:
    - drop all references to quilt
    - call dpkg-buildflags for CFLAGS and LDFLAGS.
    - add -O1, -z,defs and --as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS.
  * debian/control:
    - drop quilt build-dep
    - update standards version to 3.9.1
    - update debhelper build-dep to 7.0.50~ because of overrides. 
    - add build-dep on hardening-includes.
    - update build-deps for Xfce 4.8.
  * debian/patches:
    - 01_fix-volume-90% dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 00:52:11 +0100

xfce4-mixer (4.6.1-2) unstable; urgency=low

  * debian/rules:
    - switch to dh7 minimal rule, with quilt addon.
    - install icon.
  * debian/xfce4-mixer.manpages added so dh_installman can do its job.
  * debian/control:
    - add build-dep on recent enough quilt.
    - add dep on ${misc:Depends}.
  * debian/patches:
    - 01_fix-volume-90% added, fix scrolling on panel icon not turning
      volume above 90%.                                         closes: #529257

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 28 May 2009 22:57:12 +0200

xfce4-mixer (4.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 17:45:45 +0200

xfce4-mixer (4.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - update standards version to 3.8.1.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 01:22:29 +0200

xfce4-mixer (4.6.0-1) experimental; urgency=low

  [ Xfce 4.6 Alpha “Pinkie”]
  * new upstream alpha release.
    - drop the two packages -oss and -alsa.
  * debian/rules:
    - remove the two-variants build.
    - use dh_lintian.
    - remove call to quilt.
  * debian/patches: all patches dropped.
  * debian/control: 
    - drop build-dep on quilt.
    - add build-dep on libxml-parser-perl.
    - add dep on gstreamer0.10-alsa or audiosink, and
      gstreamer0.10-plugins-base.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Fuzzy.
    - add build-dep on libxfconf-0-dev.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Hopper.

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for “Tuco-Tuco”.
    - add build-dep on intltool. 
  * debian/rules:
    - replace dh_clean -k by dh_prep.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/control:
    - update build-deps for “Capybara”.
    - debian/copyright: update dates and copyright owners.

  [ Xfce 4.6 ]
  * new upstream release.
    - provide a .desktop for the mixer.                         closes: #496773
  * debian/control:
    - update build-deps for 4.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 12:56:41 +0100

xfce4-mixer (4.4.2-3) unstable; urgency=low

  * switch to triggers:
    - drop debian/{postinst,prerm}.
    - debian/control: conflicts against non-trigger-enabled xfce4-mcs-manager.
  * debian/control: 
    - drop Martin Loschwitz from Uploaders.
    - don't use -1 versioned build-deps.
  * debian/rules: remove empty /usr/lib/xfce4/modules directory.
  * debian/lintian-overrides: add override for xfce-setting-show not in
    package.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 May 2008 19:41:29 +0200

xfce4-mixer (4.4.2-2) unstable; urgency=low

  * debian/control: updated standard versions to 3.7.3.
  * debian/patches:
    - 02_mixer-block-menu added, don't fail when opening properties twice.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 05 Dec 2007 23:54:52 +0100

xfce4-mixer (4.4.2-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/xfce4-mixer.menu: switch to new menu policy.
  * debian/postinst: use posix kill -s to avoid problems on hurd.
  * debian/rules: don't ignore all make errors at clean time.

  [ Simon Huggins ]
  * debian/prerm: Use kill -s to keep Hurd and lintian happy at the same time.
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.
  * Add fake shlibs to pacify newer dpkg-shlibs
  * Add Vcs-* headers to debian/control

 -- Simon Huggins <huggie@earth.li>  Tue, 27 Nov 2007 16:39:18 +0000

xfce4-mixer (4.4.1-3) unstable; urgency=low

  * Really build-dep on the fixed dpkg-dev for dpkg-architecture that works
    again (0.14.4 != 1.14.4).

 -- Simon Huggins <huggie@earth.li>  Sat, 26 May 2007 09:19:48 +0100

xfce4-mixer (4.4.1-2) unstable; urgency=low

  (Yves-Alexis Perez)
  * Remove config.status from top src dir so that the clean target works
    correctly.                                                  closes: #424119 

  (Simon Huggins)
  * Build-dep on the fixed dpkg-dev for dpkg-architecture that works again.
  * Use ${binary:Version} so we are binNMU safe.

 -- Yves-Alexis Perez <corsac@corsac.net>  Fri, 25 May 2007 07:55:19 +0100

xfce4-mixer (4.4.1-1) unstable; urgency=low

  * New upstream release. 
  * debian/copyright: updated copyright holders.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 15 Apr 2007 15:28:17 +0100

xfce4-mixer (4.4.0-1) experimental; urgency=low
  
  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4.
  * Build only oss variant on non linux archs. Thanks Petr Salinger for the
    patch.							closes: #404122

  (Emanuele Rocca)
  * Bump up the libgtk2.0-dev build-dep to >= 2.10.1-1.
  * binary-or-shlib-defines-rpath lintian override added.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 27 Jan 2007 18:00:22 +0100

xfce4-mixer (4.3.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4RC2 (4.3.99.2).

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 16 Nov 2006 16:00:41 +0100

xfce4-mixer (4.3.99.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-dep against Xfce 4.4RC1 (4.3.99.1).
  * Add a patch to use correct panel width. 

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 13:44:09 +0100

xfce4-mixer (4.3.90.2-4) unstable; urgency=low

  * Depend on xfce4-panel-dev with correct shlibs.

 -- Simon Huggins <huggie@earth.li>  Wed, 26 Jul 2006 15:51:00 +0100

xfce4-mixer (4.3.90.2-3) unstable; urgency=low

  * Hmm, rabid rpath removal considered harmful.  This lets the libs and
    binary find each other again.  *sigh*

 -- Simon Huggins <huggie@earth.li>  Mon, 24 Jul 2006 10:16:56 +0100

xfce4-mixer (4.3.90.2-2) unstable; urgency=low

  * debian/control: updated versioned build dependency.	Closes: #379326 

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 22 Jul 2006 22:33:24 +0200

xfce4-mixer (4.3.90.2-1) unstable; urgency=low

  (Yves-Alexis Perez)
  * New upstrteam release.
  * debian/postinst: fix install on hurd by not using pkill.
  * debian/control: updated standards version to 3.7.2.
  (Simon Huggins)
  * Add rpath fixes.

 -- Yves-Alexis Perez <corsac@corsac.net>  Fri, 21 Jul 2006 15:46:33 +0200

xfce4-mixer (4.3.90.1-2) unstable; urgency=low

  (Yves-Alexis Perez)
   * Removed circular dependency between xfce4-mixer and xfce4-mixer-(alsa|oss)
   * Removed explicit dependency on xfce4-panel (handled by shlibs)
  (Simon Huggins)
   * Make libexedir be /usr/lib

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 13 May 2006 20:31:26 +0100

xfce4-mixer (4.3.90.1-1) unstable; urgency=low

  (Yves-Alexis Perez)
   * New upstream release
  (Simon Huggins)
   * Remove pointless .la files.
 
 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 18:35:05 +0100
  
xfce4-mixer (4.2.3-2) unstable; urgency=low

  * (Yves-Alexis Perez)
    - Build the libs for alsa and oss in two different packages  closes: #316518
    - Added a Build-Depend on libasound2
  * (Emanuele Rocca)
    - Added NEWS.Debian in order to explain the recent split in -alsa and -oss
    - debian/control minor fixes

 -- Yves-Alexis Perez <corsac@corsac.net>  Tue, 03 Jan 2006 14:39:00 +0100

xfce4-mixer (4.2.3-1) unstable; urgency=low

  * New Upstream Release
  * Send xfce-mcs-manager a SIGUSR1 so it notices the plugin.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 06 Nov 2005 22:01:12 +0100

xfce4-mixer (4.2.2-1) unstable; urgency=low

  * Simon Huggins:
   - New Upstream Release
   - Remove Build-Depends on libstartup-notification0-dev as this should be
     satisfied via libxfce4gui-dev now
   - Remove usr/share/doc/xfce4-mixer/TODO, empty file
   - Add lintian overrides for the rpath in private libs "bug"
   - Change suite to unstable
  * Rudy Godoy
   - Added manpage
  * Emanuele Rocca
   - Remove empty TODO file

 -- Simon Huggins <huggie@earth.li>  Sat, 18 Jun 2005 09:47:07 +0100

xfce4-mixer (4.2.1-1) experimental; urgency=low

  * ML: New Upstream Release (Xfce 4.2.1)
  * ML: Upload to experimental to prevents problems with NEW packages
  * ML: debian/control: Added/fixed Maintainer/Uploaders fields

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 19 Mar 2005 13:02:00 +0100

xfce4-mixer (4.2.0-2) experimental; urgency=low

  * Add --enable-final to configure
  * Add a Homepage: to the description
  * Add menu and xpm
  * Remove the mcs-pluins .a and .la files too

 -- Simon Huggins <huggie@earth.li>  Sun, 16 Jan 2005 15:44:23 +0000

xfce4-mixer (4.2.0-1) experimental; urgency=low

  * New Upstream Release

 -- Simon Huggins <huggie@earth.li>  Sat, 15 Jan 2005 13:27:32 +0000

xfce4-mixer (4.1.99.1-1) experimental; urgency=low

  * ML: New Upstream Release (4.1.99.1 alias XFce4 4.2 RC1)
  * ML: Integrated the mixer library properly (mad world!)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 19 Nov 2004 17:47:00 +0100

xfce4-mixer (4.0.6-1) unstable; urgency=low

  * New upstream release
  * Update description
  * Remove Norbert Tretkowski from Uploaders as requested

 -- Simon Huggins <huggie@earth.li>  Sat, 24 Jul 2004 19:31:49 +0100

xfce4-mixer (4.0.5-1) unstable; urgency=low

  * New upstream release
  * Update upstream's libtool
  * Build with libstartup-notification0

 -- Simon Huggins <huggie@earth.li>  Thu, 29 Apr 2004 20:46:37 +0100

xfce4-mixer (4.0.3-2) unstable; urgency=low

  * Update libtool
  * Just adding Daniel wasn't enough.  Add self to Uploaders so katie doesn't
    think this is an NMU again.

 -- Simon Huggins <huggie@earth.li>  Tue, 09 Mar 2004 13:42:52 +0000

xfce4-mixer (4.0.3-1) unstable; urgency=low

  * New upstream release
  * Add Daniel Silverstone <dsilvers@debian.org> to Uploaders as approved by
    madkiss
  * Remove .la and .a files - this is not a -dev package
  * Thanks to Daniel for checking and uploading these packages

 -- Simon Huggins <huggie@earth.li>  Wed, 25 Feb 2004 10:43:18 +0000

xfce4-mixer (4.0.2-1) unstable; urgency=low

  * New upstream release

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Dec 2003 17:00:00 +0100

xfce4-mixer (4.0.0.final-1) unstable; urgency=low

  * Initial Release.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 29 Sep 2003 17:39:49 +0200
